Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
TestUnit.idl
1/* SPDX-License-Identifier: BSD-3-Clause */
2/*
3 * Copyright 2012 Raritan Inc. All rights reserved.
4 */
5
6#ifndef __PDU_TEST_UNIT_IDL__
7#define __PDU_TEST_UNIT_IDL__
8
9#include <TestDisplay.idl>
10
11/**
12 * Test Interfaces
13 */
14module test {
15
16 /** Test interface for PDU components controlled by topofw */
17 interface Unit {
18
19 /**
20 * Retrieve all Displays attached to the unit.
21 *
22 * @return List of displays
23 */
24 vector<Display> getDisplays();
25
26 /**
27 * Retrieve state of all buttons attached to the unit.
28 *
29 * Note that semantics of the buttons is not defined
30 * by this interface, although it is garanteed that the
31 * order in which states are returned will not change.
32 *
33 * @return List of button states (\c true if pressed)
34 */
35 vector<boolean> getButtonStates();
36
37 /**
38 * Force on the buzzer.
39 *
40 * @param isOn \c true to force buzzer on, \c false for normal mode
41 */
42 void setBuzzer(in boolean isOn);
43
44 /**
45 * Reset all sub controllers via RS485 break condition
46 */
47 void resetAllSubControllers();
48
49 /**
50 * Trigger watchdog of a selected sub controller
51 *
52 * @param rs485Addr RS485 address of the sub controller to trigger
53 * the watchdog for.
54 */
55 void triggerSubControllerWatchdog(in int rs485Addr);
56 };
57
58}
59
60#endif
test::Unit
Test interface for PDU components controlled by topofw.
Definition TestUnit.idl:17
test::Unit::getDisplays
vector< Display > getDisplays()
Retrieve all Displays attached to the unit.
test::Unit::getButtonStates
vector< boolean > getButtonStates()
Retrieve state of all buttons attached to the unit.
test::Unit::resetAllSubControllers
void resetAllSubControllers()
Reset all sub controllers via RS485 break condition.
test::Unit::setBuzzer
void setBuzzer(in boolean isOn)
Force on the buzzer.
test::Unit::triggerSubControllerWatchdog
void triggerSubControllerWatchdog(in int rs485Addr)
Trigger watchdog of a selected sub controller.
test
Test Interfaces.
Definition TestDisplay.idl:12